Cabeçalhos personalizados
Adicione qualquer cabeçalho à requisição de scrape enviada enviando-o com o prefixo Wsa-. A API remove o prefixo e encaminha o cabeçalho para o site de destino.
Endpoint
Seção intitulada “Endpoint” GET https://scrape.shifter.io/v1?api_key=YOUR_API_KEY&url=<TARGET_URL>
Parâmetros
Seção intitulada “Parâmetros”| Parâmetro | Tipo | Obrigatório | Descrição |
|---|---|---|---|
api_key | string | sim | Sua chave da Web Scraping API |
url | string | sim | URL de destino a ser buscada |
Wsa-* (header) | string | não | Qualquer cabeçalho prefixado com Wsa- é encaminhado para o destino sem o prefixo. |
Exemplo de requisição
Seção intitulada “Exemplo de requisição”curl "https://scrape.shifter.io/v1?api_key=YOUR_API_KEY&url=http%3A%2F%2Fhttpbin.org%2Fheaders" \ -H "Wsa-My-header: test" \ -H "Wsa-User-Agent: potato"import requests
r = requests.get( "https://scrape.shifter.io/v1", params={"api_key": "YOUR_API_KEY", "url": "http://httpbin.org/headers"}, headers={"Wsa-My-header": "test", "Wsa-User-Agent": "potato"},)print(r.json())import fetch from 'node-fetch';
const url = 'https://scrape.shifter.io/v1?' + new URLSearchParams({ api_key: 'YOUR_API_KEY', url: 'http://httpbin.org/headers',});const res = await fetch(url, { headers: { 'Wsa-My-header': 'test', 'Wsa-User-Agent': 'potato', },});console.log(await res.json());Exemplo de resposta
Seção intitulada “Exemplo de resposta”{ "headers": { "Accept": "text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,image/apng,*/*;q=0.8", "Accept-Encoding": "gzip, deflate, br", "Host": "httpbin.org", "My-Header": "test", "Upgrade-Insecure-Requests": "1", "User-Agent": "potato" }}